| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.NEO

# Method Image.NEO._decode()

Method _decode

  `mapping _decode(string data)`

Description

  Low level decoding of the NEO file contents in data .

Returns

  `"image" : Image.Image` | The decoded bitmap
  `"images" : array(Image.Image)` | Coler cycled images.
  `"filename" : string` | The filename stored into the file.
  `"right_limit" : int(0..15)` | The palette color range to be color cycled.
  `"left_limit" : int(0..15)`
  `"speed" : int(0..255)` | The animation speed, expressed as the number of VBLs per animation frame.
  `"direction" : string` | Color cycling direction. Can be either `"left"` or `"right"`.
  `"palette" : array(array(int(0..255)))` | The palette to be used for color cycling.